#ifndef UTIL_H
#define UTIL_H

#include <vector>
#include <iostream>

enum class Layout { 
    horizontal,
    vertical
};

enum class CameraMode {
    single,
    dual
};

struct ROI {
    int x, y, width, height;
};

struct CameraLayout {
    std::vector<std::string> devices;
    std::vector<ROI> rois;
    Layout layout;
    CameraMode mode;
};

#endif /*UTIL_H*/